#include "WorldUpdate.h"

WorldUpdate::WorldUpdate( int type, int dimensionId, Framework::Vec3<int> minAffected, Framework::Vec3<int> maxAffected )
    : ReferenceCounter(),
    affectedDimensionId( dimensionId ),
    minAffected( minAffected ),
    maxAffected( maxAffected ),
    type( type )
{}

int WorldUpdate::getAffectedDimension() const
{
    return affectedDimensionId;
}

const Framework::Vec3<int>& WorldUpdate::getMinAffectedPoint() const
{
    return minAffected;
}

const Framework::Vec3<int>& WorldUpdate::getMaxAffectedPoint() const
{
    return maxAffected;
}

int WorldUpdate::getType() const
{
    return type;
}


WorldUpdateType::WorldUpdateType( int id )
    : ReferenceCounter()
{
    StaticRegistry<WorldUpdateType>::INSTANCE.registerT( this, id );
}